Skip to main content

Delete a FIDO2 credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/fido2/:extId

Since: 2.86.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the FIDO2 credential with the given external ID belonging to the specified user.

Supports self-admin mode with JWT token validation, allowing a user to delete their own FIDO2 credential. When operating in self-admin mode, a valid JWT token must be provided in the request.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the FIDO2 credential.

    Example: cred-123

Responses

FIDO2 credential deleted successfully

Loading...